www.cendio.com
Bug 5074 - default session $PATH should include sbin directories
: default session $PATH should include sbin directories
Status: CLOSED FIXED
: ThinLinc
VSM Agent
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
: 5065
  Show dependency treegraph
 
Reported: 2014-04-08 16:07 by
Modified: 2014-05-05 15:54 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-08 16:07:26
Modern distributions have the sbin directories on the end so users will expect
them to be present for ThinLinc sessions as well.
------- Comment #1 From cendio 2014-04-16 14:20:20 -------
This is $PATH on Ubuntu 14.04:

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/opt/thinlinc/bin

And on Fedora 20:

/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/opt/thinlinc/bin:/home/tluser/.local/bin:/home/tluser/bin

I think the Fedora approach of putting /sbin after /bin is safer, so let's go
with that.
------- Comment #2 From cendio 2014-04-16 14:21:34 -------
Fixed in r28879.
------- Comment #3 From cendio 2014-04-24 15:40:56 -------
Verified using build 4332, PATH contains paths to sbin after bin...